## cwltool 3.1.20221008225030

=== Makefile ===
# This file is part of cwltool,
# https://github.com/common-workflow-language/cwltool/, and is
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contact: common-workflow-language@googlegroups.com

# make format to fix most python formatting errors
# make pylint to check Python code for enhanced compliance including naming
#  and documentation
# make coverage-report to check coverage of the python scripts by the tests

MODULE=cwltool

# `SHELL=bash` doesn't work for some, so don't use BASH-isms like
# `[[` conditional expressions.
PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
DEVPKGS=diff_cover pylint pep257 pydocstyle tox tox-pyenv \
	isort wheel autoflake pyupgrade bandit -rlint-requirements.txt\
	-rtest-requirements.txt -rmypy-requirements.txt
DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
	   python-flake8 python-mock shellcheck

VERSION=3.1.$(shell TZ=UTC git log --first-parent --max-count=1 \
	--format=format:%cd --date=format-local:%Y%m%d%H%M%S)
mkfile_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
UNAME_S=$(shell uname -s)

## all                    : default task (install cwltool in dev mode)
all: dev

## help                   : print this help message and exit
help: Makefile
	@sed -n 's/^##//p' $<

## cleanup                : shortcut for "make sort_imports format flake8 diff_pydocstyle_report"
cleanup: sort_imports format flake8 diff_pydocstyle_report

## install-dep            : install most of the development dependencies via pip
install-dep: install-dependencies

install-dependencies: FORCE
	pip install --upgrade $(DEVPKGS)
	pip install -r requirements.txt

install-doc-dep:
	pip install -r docs/requirements.txt

## install-deb-dep        : install many of the dev dependencies via apt-get
install-deb-dep:
	sudo apt-get install $(DEBDEVPKGS)

## install                : install the cwltool module with the "deps" dependency (galaxy-tool-util)
install: FORCE
	pip install .[deps]

## dev                    : install the cwltool module in dev mode
dev: install-dep
	pip install -e .[deps]


## dist                   : create a module package for distribution
dist: dist/${MODULE}-$(VERSION).tar.gz

check-python3:
# Check that the default python version is python 3
	python --version 2>&1 | grep "Python 3"

dist/${MODULE}-$(VERSION).tar.gz: check-python3 $(SOURCES)
	python setup.py sdist bdist_wheel

## docs                   : make the docs
docs: FORCE
	cd docs && $(MAKE) html

## clean                  : clean up all temporary / machine-generated files
clean: check-python3 FORCE
	rm -f ${MODULE}/*.pyc tests/*.pyc *.so ${MODULE}/*.so
	rm -Rf ${MODULE}/__pycache__/
	python setup.py clean --all || true
	rm -Rf .coverage
	rm -f diff-cover.html

# Linting and code style related targets
## sort_import            : sorting imports using isort: https://github.com/timothycrosley/isort
sort_imports: $(PYSOURCES) mypy-stubs
	isort $^

remove_unused_imports: $(PYSOURCES)
	autoflake --in-place --remove-all-unused-imports $^

pep257: pydocstyle
## pydocstyle             : check Python docstring style
pydocstyle: $(PYSOURCES)
	pydocstyle --add-ignore=D100,D101,D102,D103 $^ || true

pydocstyle_report.txt: $(PYSOURCES)
	pydocstyle setup.py $^ > $@ 2>&1 || true

## diff_pydocstyle_report : check Python docstring style for changed files only
diff_pydocstyle_report: pydocstyle_report.txt
	diff-quality --compare-branch=main --violations=pydocstyle --fail-under=100 $^

## codespell              : check for common misspellings
codespell:
	codespell -w $(shell git ls-files | grep -v cwltool/schemas | grep -v cwltool/jshint/ | grep -v mypy-stubs)

## format                 : check/fix all code indentation and formatting (runs black)
format:
	black --exclude cwltool/schemas setup.py cwltool.py cwltool tests mypy-stubs

format-check:
	black --diff --check --exclude cwltool/schemas setup.py cwltool.py cwltool tests mypy-stubs

## pylint                 : run static code analysis on Python code
pylint: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
                $^ -j0|| true

pylint_report.txt: $(PYSOURCES)
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
		$^ -j0> $@ || true

diff_pylint_report: pylint_report.txt
	diff-quality --compare-branch=main --violations=pylint pylint_report.txt

.coverage: testcov

coverage: .coverage
	coverage report

coverage.xml: .coverage
	coverage xml

coverage.html: htmlcov/index.html

htmlcov/index.html: .coverage
	coverage html
	@echo Test coverage of the Python code is now in htmlcov/index.html

coverage-report: .coverage
	coverage report

diff-cover: coverage.xml
	diff-cover --compare-branch=main $^

diff-cover.html: coverage.xml
	diff-cover --compare-branch=main $^ --html-report $@

## test                   : run the cwltool test suite
test: check-python3 $(PYSOURCES)
	python -m pytest -rs ${PYTEST_EXTRA}

## testcov                : run the cwltool test suite and collect coverage
testcov: check-python3 $(PYSOURCES)
	python -m pytest -rs --cov --cov-config=.coveragerc --cov-report= ${PYTEST_EXTRA}

sloccount.sc: $(PYSOURCES) Makefile
	sloccount --duplicates --wide --details $^ > $@

## sloccount              : count lines of code
sloccount: $(PYSOURCES) Makefile
	sloccount $^

list-author-emails:
	@echo 'name, E-Mail Address'
	@git log --format='%aN,%aE' | sort -u | grep -v 'root'

mypy3: mypy
mypy: $(filter-out setup.py gittagger.py,$(PYSOURCES))
	if ! test -f $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
	then \
		rm -Rf mypy-stubs/ruamel/yaml ; \
		ln -s $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
			mypy-stubs/ruamel/ ; \
	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^

mypy_3.6: $(filter-out setup.py gittagger.py,$(PYSOURCES))
	if ! test -f $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
	then \
		rm -Rf mypy-stubs/ruamel/yaml ; \
		ln -s $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
			mypy-stubs/ruamel/ ; \
	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
	MYPYPATH=$$MYPYPATH:mypy-stubs mypy --python-version 3.6 $^


mypyc: $(PYSOURCES)
	MYPYPATH=mypy-stubs CWLTOOL_USE_MYPYC=1 pip install --verbose -e . \
		 && pytest -rs -vv ${PYTEST_EXTRA}

shellcheck: FORCE
	shellcheck build-cwltool-docker.sh cwl-docker.sh release-test.sh conformance-test.sh \
		cwltool-in-docker.sh

pyupgrade: $(PYSOURCES)
	pyupgrade --exit-zero-even-if-changed --py36-plus $^

release-test: check-python3 FORCE
	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )
	./release-test.sh

release: release-test
	. testenv2/bin/activate && \
		python testenv2/src/${MODULE}/setup.py sdist bdist_wheel && \
		pip install twine && \
		twine upload testenv2/src/${MODULE}/dist/* && \
		git tag ${VERSION} && git push --tags

flake8: $(PYSOURCES)
	flake8 $^

FORCE:

# Use this to print the value of a Makefile variable
# Example `make print-VERSION`
# From https://www.cmcrossroads.com/article/printing-value-makefile-variable
print-%  : ; @echo $* = $($*)

=== debian/changelog ===
cwltool (3.1.20221008225030-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Update lintian override info to new format on line 1, 2, 3.
  * Refresh disable_prov
  * build-dep on python3-cwl-utils
  * most <!nocheck> markers should also have <!nodoc> due to how
    we build the manual page
  * skip test_http_input.py as pytest-httpserver is not yet packaged for
    Debian

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 16 Oct 2022 16:14:56 +0200

=== debian/control ===
Source: cwltool
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               procps <!nocheck>,
               python3,
               python3-all,
               python3-setuptools,
               python3-coloredlogs <!nocheck> <!nodoc>,
               python3-rdflib <!nocheck>,
               python3-rdflib-jsonld <!nocheck>,
               python3-schema-salad (>=8.2.20211104054942) <!nocheck> <!nodoc>,
               python3-shellescape <!nocheck> <!nodoc>,
               python3-html5lib <!nocheck>,
               python3-sparqlwrapper <!nocheck>,
               python3-keepalive <!nocheck>,
               python3-ruamel.yaml <!nocheck>,
               python3-pytest (>> 6.2) <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-mock <!nocheck>,
               python3-cwl-utils ( >> 0.20) <!nocheck> <!nodoc>,
               python3-mypy-extensions <!nocheck> <!nodoc>,
               python3-psutil <!nocheck> <!nodoc>,
               python3-prov <!nocheck> <!nodoc>,
               python3-arcp <!nocheck>,
               python3-pydot <!nocheck> <!nodoc>,
               python3-argcomplete <!nocheck> <!nodoc>,
               python3-typing-extensions <!nocheck> <!nodoc>,
               nodejs <!nocheck>,
               help2man
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/cwltool
Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
Homepage: https://www.commonwl.org
Rules-Requires-Root: no

Package: cwltool
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-mypy-extensions,
         python3-arcp,
         python3-argcomplete,
         python3-cwl-utils ( >> 0.20),
         python3-distutils
Recommends: nodejs
Breaks: toil (<< 5.6)
Suggests: podman | docker.io | singularity-container
Provides: cwl-runner
Description: Common Workflow Language reference implementation
 This is the reference implementation of the Common Workflow Language
 standards.
 .
 The CWL open standards are for describing analysis workflows and tools in a
 way that makes them portable and scalable across a variety of software and
 hardware environments, from workstations to cluster, cloud, and high
 performance computing (HPC) environments. CWL is designed to meet the needs of
 data-intensive science, such as Bioinformatics, Medical Imaging, Astronomy,
 Physics, and Chemistry.
 .
 The CWL reference implementation (cwltool) is intended to be feature complete
 and to provide comprehensive validation of CWL files as well as provide other
 tools related to working with CWL descriptions.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
include /usr/share/dpkg/default.mk
export PYBUILD_NAME=cwltool
export PYBUILD_TEST_ARGS=-n=auto
export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/tmp/ {build_dir}/main.cwl {build_dir}/output.txt*
export HOME=$(shell echo $$PWD"/fakehome")

%:
	dh $@ --with python3 --buildsystem=pybuild

debian/cwltool.1: debian/rules debian/cwltool.help2man
	python3 setup.py develop --user
	help2man --version-string $(DEB_VERSION_EPOCH_UPSTREAM) -I debian/cwltool.help2man -N \
		-o debian/cwltool.1  'python3 -m cwltool'
	sed -i 's/__main__.py/cwltool/g' debian/cwltool.1

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_installman: debian/cwltool.1
	dh_installman
else
override_dh_installman:
endif

override_dh_auto_install:
	dh_auto_install
	find debian -name '*.cwl' -exec chmod a+x {} \;
	find debian -name '*.json' -exec chmod a-x {} \;

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	dh_auto_install
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
	        --ignore-glob "*test_http_input.py" \
		-k 'not (test_http_path_mapping or test_get_subgraph or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step)' \
		-n auto --ignore cwltool/schemas/ -rs --pyargs cwltool" dh_auto_test
	find .pybuild -name "out" -type f -delete
endif
# test_http_path_mapping requires internet access (could be mocked?)
# test_get_{subgraph,step} embedded local path isn't being cleaned properly

## cwltool 3.1.20221109155812

=== requirements.txt ===
requests>=2.4.3
ruamel.yaml>=0.16.0,<0.17.22;python_version>='3.10'
ruamel.yaml>=0.15,<0.17.22
rdflib>=4.2.2,<6.3
rdflib>= 4.2.2, < 6.0.0;python_version<='3.6'
shellescape>=3.4.1,<3.9
schema-salad>=8.2.20211104054942,<9
prov==1.5.1
bagit==1.8.1
mypy-extensions
psutil>=5.6.6
typing-extensions
coloredlogs
pydot>=1.4.1
argcomplete>=1.12.0
pyparsing != 3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
pyparsing < 3;python_version<='3.6'  # breaks --print-dot
cwl-utils>=0.19

=== debian/changelog ===
cwltool (3.1.20221109155812-1) unstable; urgency=medium

  * New upstream version
  * d/rules,d/tests/run-test: ignore another udocker test

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 18 Nov 2022 14:07:57 +0100

## cwltool 3.1.20221201130942

=== debian/changelog ===
cwltool (3.1.20221201130942-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 21 Dec 2022 12:28:47 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-pytest-runner <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-mock <!nocheck>,
-               python3-cwl-utils ( >> 0.20) <!nocheck> <!nodoc>,
+               python3-cwl-utils <!nocheck> <!nodoc>,
                python3-mypy-extensions <!nocheck> <!nodoc>,
                python3-psutil <!nocheck> <!nodoc>,
                python3-prov <!nocheck> <!nodoc>,
@@ -46,11 +46,11 @@
          python3-mypy-extensions,
          python3-arcp,
          python3-argcomplete,
-         python3-cwl-utils ( >> 0.20),
+         python3-cwl-utils,
          python3-distutils
 Recommends: nodejs
+Suggests: podman | docker.io | singularity-container
 Breaks: toil (<< 5.6)
-Suggests: podman | docker.io | singularity-container
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
  This is the reference implementation of the Common Workflow Language

## cwltool 3.1.20230201224320

=== debian/changelog ===
cwltool (3.1.20230201224320-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Update lintian override info format in d/cwltool.lintian-overrides on line
    5.
  * refresh patches
  * add build-dep for pybuild-plugin-pyproject
  * require schema-salad 8.4

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 Feb 2023 18:43:09 +0100

## cwltool 3.1.20230209161050

=== Makefile ===
--- 
+++ 
@@ -25,9 +25,9 @@
 # `SHELL=bash` doesn't work for some, so don't use BASH-isms like
 # `[[` conditional expressions.
 PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
-DEVPKGS=diff_cover pylint pep257 pydocstyle tox tox-pyenv \
+DEVPKGS=diff_cover pylint pep257 pydocstyle 'tox<4' tox-pyenv \
 	isort wheel autoflake pyupgrade bandit -rlint-requirements.txt\
-	-rtest-requirements.txt -rmypy-requirements.txt
+	-rtest-requirements.txt -rmypy-requirements.txt -rdocs/requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
 	   python-flake8 python-mock shellcheck

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 rdflib>=4.2.2,<6.3
 rdflib>= 4.2.2, < 6.0.0;python_version<='3.6'
 shellescape>=3.4.1,<3.9
-schema-salad>=8.2.20211104054942,<9
+schema-salad>=8.4,<9
 prov==1.5.1
 bagit==1.8.1
 mypy-extensions
@@ -15,4 +15,4 @@
 argcomplete>=1.12.0
 pyparsing != 3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
 pyparsing < 3;python_version<='3.6'  # breaks --print-dot
-cwl-utils>=0.19
+cwl-utils>=0.22

=== debian/changelog ===
cwltool (3.1.20230209161050-1) unstable; urgency=medium

  * New upstream version
    Tests no longer produce side-effects. Closes: #1030713, #1030714
  * Refresh patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 09 Feb 2023 18:18:06 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                procps <!nocheck>,
                python3,
                python3-all,
+               pybuild-plugin-pyproject,
                python3-setuptools,
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib <!nocheck>,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=8.2.20211104054942) <!nocheck> <!nodoc>,
+               python3-schema-salad (>=8.4) <!nocheck> <!nodoc>,
                python3-shellescape <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck>,
                python3-sparqlwrapper <!nocheck>,
@@ -33,7 +34,7 @@
                python3-typing-extensions <!nocheck> <!nodoc>,
                nodejs <!nocheck>,
                help2man
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://www.commonwl.org

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
 	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
 	        --ignore-glob "*test_http_input.py" \
-		-k 'not (test_http_path_mapping or test_get_subgraph or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step)' \
+		-k 'not (test_http_path_mapping or test_get_subgraph or test_udocker_usage_should_not_write_cid_file or test_udocker_should_display_memory_usage or test_content_types or test_get_step or test_udocker_nobanner)' \
 		-n auto --ignore cwltool/schemas/ -rs --pyargs cwltool" dh_auto_test
 	find .pybuild -name "out" -type f -delete
 endif

## cwltool 3.1.20230906142556

=== Makefile ===
--- 
+++ 
@@ -24,8 +24,8 @@
 
 # `SHELL=bash` doesn't work for some, so don't use BASH-isms like
 # `[[` conditional expressions.
-PYSOURCES=$(wildcard ${MODULE}/**.py tests/*.py) setup.py
-DEVPKGS=diff_cover pylint pep257 pydocstyle 'tox<4' tox-pyenv \
+PYSOURCES=$(wildcard ${MODULE}/**.py cwltool/cwlprov/*.py tests/*.py) setup.py
+DEVPKGS=diff_cover pylint pep257 pydocstyle 'tox<4' tox-pyenv auto-walrus \
 	isort wheel autoflake pyupgrade bandit -rlint-requirements.txt\
 	-rtest-requirements.txt -rmypy-requirements.txt -rdocs/requirements.txt
 DEBDEVPKGS=pep8 python-autopep8 pylint python-coverage pydocstyle sloccount \
@@ -85,7 +85,7 @@
 
 ## clean                  : clean up all temporary / machine-generated files
 clean: check-python3 FORCE
-	rm -f ${MODULE}/*.pyc tests/*.pyc *.so ${MODULE}/*.so
+	rm -f ${MODULE}/*.pyc tests/*.pyc *.so ${MODULE}/*.so cwltool/cwlprov/*.so
 	rm -Rf ${MODULE}/__pycache__/
 	python setup.py clean --all || true
 	rm -Rf .coverage
@@ -111,9 +111,14 @@
 diff_pydocstyle_report: pydocstyle_report.txt
 	diff-quality --compare-branch=main --violations=pydocstyle --fail-under=100 $^
 
-## codespell              : check for common misspellings
-codespell:
-	codespell -w $(shell git ls-files | grep -v cwltool/schemas | grep -v cwltool/jshint/ | grep -v mypy-stubs)
+## codespell-check        : check for common misspellings
+codespell-check:
+	@codespell $(shell git ls-files | grep -v cwltool/schemas | grep -v cwltool/jshint/ | grep -v mypy-stubs) \
+		|| (echo Probable typo foun. Run \"make codespell-fix\" to accept suggested fixes, or add the word to the ignore list in setup.cfg ; exit 1)
+
+## codespell-fix          : fix common misspellings
+codespell-fix:
+	@codespell -w $(shell git ls-files | grep -v cwltool/schemas | grep -v cwltool/jshint/ | grep -v mypy-stubs)
 
 ## format                 : check/fix all code indentation and formatting (runs black)
 format:
@@ -177,7 +182,7 @@
 	@git log --format='%aN,%aE' | sort -u | grep -v 'root'
 
 mypy3: mypy
-mypy: $(filter-out setup.py gittagger.py,$(PYSOURCES))
+mypy: $(PYSOURCES)
 	if ! test -f $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
 	then \
 		rm -Rf mypy-stubs/ruamel/yaml ; \
@@ -186,16 +191,6 @@
 	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
 	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^
 
-mypy_3.6: $(filter-out setup.py gittagger.py,$(PYSOURCES))
-	if ! test -f $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
-	then \
-		rm -Rf mypy-stubs/ruamel/yaml ; \
-		ln -s $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
-			mypy-stubs/ruamel/ ; \
-	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
-	MYPYPATH=$$MYPYPATH:mypy-stubs mypy --python-version 3.6 $^
-
-
 mypyc: $(PYSOURCES)
 	MYPYPATH=mypy-stubs CWLTOOL_USE_MYPYC=1 pip install --verbose -e . \
 		 && pytest -rs -vv ${PYTEST_EXTRA}
@@ -205,7 +200,8 @@
 		cwltool-in-docker.sh
 
 pyupgrade: $(PYSOURCES)
-	pyupgrade --exit-zero-even-if-changed --py36-plus $^
+	pyupgrade --exit-zero-even-if-changed --py38-plus $^
+	auto-walrus $^
 
 release-test: check-python3 FORCE
 	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )

=== requirements.txt ===
requests>=2.6.1
ruamel.yaml>=0.15.0,<0.18
ruamel.yaml>=0.16;python_version>='3.10'
rdflib>=4.2.2,<7.1
shellescape>=3.4.1,<3.9
schema-salad>=8.4.20230426093816,<9
prov==1.5.1
mypy-extensions
psutil>=5.6.6
typing-extensions
importlib_resources>=1.4  # equivalent to Python 3.9
importlib_metadata;python_version<'3.8'  # equivalent to Python 3.9
coloredlogs
pydot>=1.4.1
argcomplete>=1.12.0
pyparsing!=3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
cwl-utils>=0.22

=== debian/changelog ===
cwltool (3.1.20230906142556-1) unstable; urgency=medium

  * New upstream version
  * Drop two patches applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 06 Sep 2023 17:28:30 +0200

cwltool (3.1.20230719185429-3) unstable; urgency=medium

  * d/control: The tests expect a newer version of schema-salad.
  * d/tests/run-unit-test: increase verbosity

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Aug 2023 13:30:50 +0200

cwltool (3.1.20230719185429-2) unstable; urgency=medium

  * d/control: Update breaks for Toil to be less than 5.11.0.
  * d/test/run-tests: cleanup temp directory automatically.
  * debian/patches/test_relax_whitespace_check: add patch to fix a test
    that was having issues with varying terminal widths.
  * d/control: add jq to build-deps to enable another test.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 22 Aug 2023 16:23:14 +0200

cwltool (3.1.20230719185429-1) unstable; urgency=medium

  * New upstream version
  * d/control: add build-dep on python3-importlib-resources
  * d/control: require setuptools, not distutilts

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 08 Aug 2023 20:49:27 +0200

cwltool (3.1.20230601100705-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Refresh patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 09 Jun 2023 17:15:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                procps <!nocheck>,
                python3,
                python3-all,
                pybuild-plugin-pyproject,
                python3-setuptools,
+               python3-importlib-resources (>> 6) <!nocheck>,
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib <!nocheck>,
                python3-rdflib-jsonld <!nocheck>,
-               python3-schema-salad (>=8.4) <!nocheck> <!nodoc>,
+               python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
                python3-shellescape <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck>,
                python3-sparqlwrapper <!nocheck>,
@@ -33,6 +34,7 @@
                python3-argcomplete <!nocheck> <!nodoc>,
                python3-typing-extensions <!nocheck> <!nodoc>,
                nodejs <!nocheck>,
+               jq <!nocheck>,
                help2man
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
@@ -48,10 +50,10 @@
          python3-arcp,
          python3-argcomplete,
          python3-cwl-utils,
-         python3-distutils
+         python3-setuptools
 Recommends: nodejs
 Suggests: podman | docker.io | singularity-container
-Breaks: toil (<< 5.6)
+Breaks: toil (<< 5.12.0)
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
  This is the reference implementation of the Common Workflow Language

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, python3-mock, procps, python3-pytest (>> 6.2), jq
Restrictions: allow-stderr

## cwltool 3.1.20240112164112

=== Makefile ===
--- 
+++ 
@@ -77,7 +77,7 @@
 	python --version 2>&1 | grep "Python 3"
 
 dist/${MODULE}-$(VERSION).tar.gz: check-python3 $(SOURCES)
-	python setup.py sdist bdist_wheel
+	python -m build
 
 ## docs                   : make the docs
 docs: FORCE
@@ -122,10 +122,10 @@
 
 ## format                 : check/fix all code indentation and formatting (runs black)
 format:
-	black --exclude cwltool/schemas setup.py cwltool.py cwltool tests mypy-stubs
+	black --exclude cwltool/schemas --exclude cwltool/_version.py setup.py cwltool.py cwltool tests mypy-stubs
 
 format-check:
-	black --diff --check --exclude cwltool/schemas setup.py cwltool.py cwltool tests mypy-stubs
+	black --diff --check --exclude cwltool/schemas setup.py --exclude cwltool/_version.py cwltool.py cwltool tests mypy-stubs
 
 ## pylint                 : run static code analysis on Python code
 pylint: $(PYSOURCES)
@@ -183,12 +183,6 @@
 
 mypy3: mypy
 mypy: $(PYSOURCES)
-	if ! test -f $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))')/py.typed ; \
-	then \
-		rm -Rf mypy-stubs/ruamel/yaml ; \
-		ln -s $(shell python -c 'import ruamel.yaml; import os.path; print(os.path.dirname(ruamel.yaml.__file__))') \
-			mypy-stubs/ruamel/ ; \
-	fi  # if minimally required ruamel.yaml version is 0.15.99 or greater, than the above can be removed
 	MYPYPATH=$$MYPYPATH:mypy-stubs mypy $^
 
 mypyc: $(PYSOURCES)
@@ -207,9 +201,12 @@
 	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )
 	./release-test.sh
 
-release: release-test
+release:
+	export SETUPTOOLS_SCM_PRETEND_VERSION_FOR_CWLTOOL=${VERSION} && \
+	./release-test.sh && \
 	. testenv2/bin/activate && \
-		python testenv2/src/${MODULE}/setup.py sdist bdist_wheel && \
+		pip install build && \
+		python -m build testenv2/src/${MODULE} && \
 		pip install twine && \
 		twine upload testenv2/src/${MODULE}/dist/* && \
 		git tag ${VERSION} && git push --tags

=== docs/requirements.txt ===
sphinx >= 2.2
sphinx-rtd-theme==2.0.0
sphinx-autoapi
sphinx-autodoc-typehints
sphinxcontrib-autoprogram
importlib_resources;python_version<'3.9'

=== debian/changelog ===
cwltool (3.1.20240112164112-2) unstable; urgency=medium

  * d/control: removed unused dependency on python3-rdflib-jsonld. That
    functionality has been a part of python3-rdflib since 6.x.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jan 2024 16:39:23 +0100

cwltool (3.1.20240112164112-1) unstable; urgency=medium

  * New upstream version
  * refresh prov-disabling patch.
  * d/control: remove outdated build-deps, add spython.
  * update prov patch

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jan 2024 12:35:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,9 @@
                python3-all,
                pybuild-plugin-pyproject,
                python3-setuptools,
-               python3-importlib-resources (>> 6) <!nocheck>,
+               python3-setuptools-scm,
                python3-coloredlogs <!nocheck> <!nodoc>,
-               python3-rdflib <!nocheck>,
-               python3-rdflib-jsonld <!nocheck>,
+               python3-rdflib (>> 6) <!nocheck>,
                python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
                python3-shellescape <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck>,
@@ -24,15 +23,14 @@
                python3-pytest-xdist <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-mock <!nocheck>,
-               python3-mock <!nocheck>,
-               python3-cwl-utils <!nocheck> <!nodoc>,
+               python3-cwl-utils (>= 0.32) <!nocheck> <!nodoc>,
                python3-mypy-extensions <!nocheck> <!nodoc>,
                python3-psutil <!nocheck> <!nodoc>,
                python3-prov <!nocheck> <!nodoc>,
                python3-arcp <!nocheck>,
                python3-pydot <!nocheck> <!nodoc>,
                python3-argcomplete <!nocheck> <!nodoc>,
-               python3-typing-extensions <!nocheck> <!nodoc>,
+               python3-spython <!nocheck> <!nodoc>,
                nodejs <!nocheck>,
                jq <!nocheck>,
                help2man

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 debian/cwltool.1: debian/rules debian/cwltool.help2man
 	python3 setup.py develop --user

=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest-mock, python3-pytest-runner, nodejs, curl, procps, python3-pytest (>> 6.2), jq
Restrictions: allow-stderr

## cwltool 3.1.20240404144621

=== debian/changelog ===
cwltool (3.1.20240404144621-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Apr 2024 11:39:23 +0200

cwltool (3.1.20240404144621-1) unstable; urgency=medium

  * New upstream version
  * d/upstream/metadata: mention the CACM paper.
  * d/{control,rules}: build and package the HTML docs.
  * d/control: link to the Read The Docs page for cwltool, not the main
    CWL project website.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Apr 2024 16:48:33 +0300

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,18 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                procps <!nocheck>,
                python3,
                python3-all,
                pybuild-plugin-pyproject,
                python3-setuptools,
                python3-setuptools-scm,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-autoapi <!nodoc>,
+               python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-sphinxcontrib.autoprogram <!nodoc>,
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib (>> 6) <!nocheck>,
                python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
@@ -37,7 +43,7 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
-Homepage: https://www.commonwl.org
+Homepage: https://cwltool.readthedocs.io/
 Rules-Requires-Root: no
 
 Package: cwltool
@@ -50,7 +56,7 @@
          python3-cwl-utils,
          python3-setuptools
 Recommends: nodejs
-Suggests: podman | docker.io | singularity-container
+Suggests: podman | docker.io | singularity-container, cwltool-doc
 Breaks: toil (<< 5.12.0)
 Provides: cwl-runner
 Description: Common Workflow Language reference implementation
@@ -67,3 +73,22 @@
  The CWL reference implementation (cwltool) is intended to be feature complete
  and to provide comprehensive validation of CWL files as well as provide other
  tools related to working with CWL descriptions.
+
+Package: cwltool-doc
+Architecture: all
+Built-Using: ${sphinxdoc:Built-Using}
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Description: Common Workflow Language reference implementation -- docs
+ This is the docs for the reference implementation of the Common Workflow
+ Language standards.
+ .
+ The CWL open standards are for describing analysis workflows and tools in a
+ way that makes them portable and scalable across a variety of software and
+ hardware environments, from workstations to cluster, cloud, and high
+ performance computing (HPC) environments. CWL is designed to meet the needs of
+ data-intensive science, such as Bioinformatics, Medical Imaging, Astronomy,
+ Physics, and Chemistry.
+ .
+ The CWL reference implementation (cwltool) is intended to be feature complete
+ and to provide comprehensive validation of CWL files as well as provide other
+ tools related to working with CWL descriptions.

## cwltool 3.1.20240508115724

=== Makefile ===
--- 
+++ 
@@ -72,22 +72,18 @@
 ## dist                   : create a module package for distribution
 dist: dist/${MODULE}-$(VERSION).tar.gz
 
-check-python3:
-# Check that the default python version is python 3
-	python --version 2>&1 | grep "Python 3"
-
-dist/${MODULE}-$(VERSION).tar.gz: check-python3 $(SOURCES)
-	python -m build
+dist/${MODULE}-$(VERSION).tar.gz: $(SOURCES)
+	python3 -m build
 
 ## docs                   : make the docs
 docs: FORCE
 	cd docs && $(MAKE) html
 
 ## clean                  : clean up all temporary / machine-generated files
-clean: check-python3 FORCE
+clean: FORCE
 	rm -f ${MODULE}/*.pyc tests/*.pyc *.so ${MODULE}/*.so cwltool/cwlprov/*.so
 	rm -Rf ${MODULE}/__pycache__/
-	python setup.py clean --all || true
+	rm -Rf build
 	rm -Rf .coverage
 	rm -f diff-cover.html
 
@@ -163,12 +159,12 @@
 	diff-cover --compare-branch=main $^ --html-report $@
 
 ## test                   : run the cwltool test suite
-test: check-python3 $(PYSOURCES)
-	python -m pytest -rs ${PYTEST_EXTRA}
+test: $(PYSOURCES)
+	python3 -m pytest -rs ${PYTEST_EXTRA}
 
 ## testcov                : run the cwltool test suite and collect coverage
-testcov: check-python3 $(PYSOURCES)
-	python -m pytest -rs --cov --cov-config=.coveragerc --cov-report= ${PYTEST_EXTRA}
+testcov: $(PYSOURCES)
+	python3 -m pytest -rs --cov --cov-config=.coveragerc --cov-report= ${PYTEST_EXTRA}
 
 sloccount.sc: $(PYSOURCES) Makefile
 	sloccount --duplicates --wide --details $^ > $@
@@ -197,7 +193,7 @@
 	pyupgrade --exit-zero-even-if-changed --py38-plus $^
 	auto-walrus $^
 
-release-test: check-python3 FORCE
+release-test: FORCE
 	git diff-index --quiet HEAD -- || ( echo You have uncommitted changes, please commit them and try again; false )
 	./release-test.sh
 
@@ -206,7 +202,7 @@
 	./release-test.sh && \
 	. testenv2/bin/activate && \
 		pip install build && \
-		python -m build testenv2/src/${MODULE} && \
+		python3 -m build testenv2/src/${MODULE} && \
 		pip install twine && \
 		twine upload testenv2/src/${MODULE}/dist/* && \
 		git tag ${VERSION} && git push --tags

=== requirements.txt ===
requests>=2.6.1
ruamel.yaml>=0.16.0,<0.19
rdflib>=4.2.2,<7.1
shellescape>=3.4.1,<3.9
schema-salad>=8.4.20230426093816,<9
prov==1.5.1
mypy-extensions
psutil>=5.6.6
importlib_resources>=1.4;python_version<'3.9'
coloredlogs
pydot>=1.4.1
argcomplete>=1.12.0
pyparsing!=3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
cwl-utils>=0.32
spython>=0.3.0

=== debian/changelog ===
cwltool (3.1.20240508115724-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Jun 2024 18:24:58 +0200

## cwltool 3.1.20240708091337

=== debian/changelog ===
cwltool (3.1.20240708091337-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 07 Sep 2024 13:39:14 +0200

## cwltool 3.1.20240909164951

=== Makefile ===
--- 
+++ 
@@ -160,11 +160,11 @@
 
 ## test                   : run the cwltool test suite
 test: $(PYSOURCES)
-	python3 -m pytest -rs ${PYTEST_EXTRA}
+	python3 -m pytest -rsfE ${PYTEST_EXTRA}
 
 ## testcov                : run the cwltool test suite and collect coverage
 testcov: $(PYSOURCES)
-	python3 -m pytest -rs --cov --cov-config=.coveragerc --cov-report= ${PYTEST_EXTRA}
+	python3 -m pytest -rsfE --cov --cov-config=.coveragerc --cov-report= ${PYTEST_EXTRA}
 
 sloccount.sc: $(PYSOURCES) Makefile
 	sloccount --duplicates --wide --details $^ > $@
@@ -183,7 +183,7 @@
 
 mypyc: $(PYSOURCES)
 	MYPYPATH=mypy-stubs CWLTOOL_USE_MYPYC=1 pip install --verbose -e . \
-		 && pytest -rs -vv ${PYTEST_EXTRA}
+		 && pytest -rsfE -vv ${PYTEST_EXTRA}
 
 shellcheck: FORCE
 	shellcheck build-cwltool-docker.sh cwl-docker.sh release-test.sh conformance-test.sh \

=== requirements.txt ===
requests>=2.6.1
ruamel.yaml>=0.16.0,<0.19
rdflib>=4.2.2,<7.1
shellescape>=3.4.1,<3.9
schema-salad>=8.7,<9
prov==1.5.1
mypy-extensions
psutil>=5.6.6
importlib_resources>=1.4;python_version<'3.9'
coloredlogs
pydot>=1.4.1,<3
argcomplete>=1.12.0
pyparsing!=3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
cwl-utils>=0.32
spython>=0.3.0

=== debian/changelog ===
cwltool (3.1.20240909164951-2) unstable; urgency=medium

  * Team Upload
  * Remove last user of old python3-shellescape
  * Apply Multi-Arch: hint

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Sep 2024 13:33:27 +0200

cwltool (3.1.20240909164951-1) unstable; urgency=medium

  * New upstream version
  * refreshed patch

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 12 Sep 2024 15:33:22 +0200

## cwltool 3.1.20241024121129

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 requests>=2.6.1
 ruamel.yaml>=0.16.0,<0.19
-rdflib>=4.2.2,<7.1
-shellescape>=3.4.1,<3.9
+rdflib>=4.2.2,<7.2
 schema-salad>=8.7,<9
 prov==1.5.1
 mypy-extensions

=== debian/changelog ===
cwltool (3.1.20241024121129-1) unstable; urgency=medium

  * New upstream version
  * Refreshed patches, dropped "remove-python3-shellescape"
    and "drop-old-deps" as they were applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 24 Oct 2024 15:58:56 +0200

cwltool (3.1.20240909164951-3) unstable; urgency=medium

  * Added patch to trim the Python instal_requires to avoid bringing in the
    soon-to-be removed python3-pkg-resources. Closes: #1083349
  * d/patches/remove-python3-shellescape: fix metadata, patch is
    forwarded upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 04 Oct 2024 17:04:41 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib (>> 6) <!nocheck>,
                python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
-               python3-shellescape <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck>,
                python3-sparqlwrapper <!nocheck>,
                python3-keepalive <!nocheck>,
@@ -76,6 +75,7 @@
 
 Package: cwltool-doc
 Architecture: all
+Multi-Arch: foreign
 Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: Common Workflow Language reference implementation -- docs

## cwltool 3.1.20241112140730

=== docs/requirements.txt ===
sphinx >= 2.2
sphinx-rtd-theme==3.0.1
sphinx-autoapi
sphinx-autodoc-typehints
sphinxcontrib-autoprogram
importlib_resources;python_version<'3.9'

=== debian/changelog ===
cwltool (3.1.20241112140730-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 16 Dec 2024 00:01:11 +0100

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                nodejs <!nocheck>,
                jq <!nocheck>,
                help2man
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://cwltool.readthedocs.io/

## cwltool 3.1.20250110105449

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 # `SHELL=bash` doesn't work for some, so don't use BASH-isms like
 # `[[` conditional expressions.
-PYSOURCES=$(wildcard ${MODULE}/**.py cwltool/cwlprov/*.py tests/*.py) setup.py
+PYSOURCES=$(wildcard ${MODULE}/**.py cwltool/cwlprov/*.py tests/*.py tests/cwl-conformance/*.py) setup.py
 DEVPKGS=diff_cover pylint pep257 pydocstyle 'tox<4' tox-pyenv auto-walrus \
 	isort wheel autoflake pyupgrade bandit -rlint-requirements.txt\
 	-rtest-requirements.txt -rmypy-requirements.txt -rdocs/requirements.txt
@@ -190,7 +190,7 @@
 		cwltool-in-docker.sh
 
 pyupgrade: $(PYSOURCES)
-	pyupgrade --exit-zero-even-if-changed --py38-plus $^
+	pyupgrade --exit-zero-even-if-changed --py39-plus $^
 	auto-walrus $^
 
 release-test: FORCE

=== requirements.txt ===
--- 
+++ 
@@ -12,3 +12,4 @@
 pyparsing!=3.0.2  # breaks --print-dot (pydot) https://github.com/pyparsing/pyparsing/issues/319
 cwl-utils>=0.32
 spython>=0.3.0
+rich-argparse

=== docs/requirements.txt ===
sphinx >= 2.2
sphinx-rtd-theme==3.0.2
sphinx-autoapi
sphinx-autodoc-typehints
sphinxcontrib-autoprogram
importlib_resources;python_version<'3.9'

=== debian/changelog ===
cwltool (3.1.20250110105449-2) unstable; urgency=medium

  * Team upload.
  * Drop runtime dependency on python3-setuptools:
    this now uses importlib.metadata from standard library.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Jan 2025 21:27:02 +0100

cwltool (3.1.20250110105449-1) unstable; urgency=medium

  * New upstream version
  * Refreshed the disable_prov patch.
  * docs: link to the other packaged docs.
  * d/control: new {build-}dep: python3-rich-argparse

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 Jan 2025 17:50:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               dh-sequence-sphinxdoc,
+               dh-sequence-sphinxdoc <!nodoc>,
                procps <!nocheck>,
                python3,
                python3-all,
@@ -17,6 +17,8 @@
                python3-sphinx-autodoc-typehints <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sphinxcontrib.autoprogram <!nodoc>,
+               python3-doc <!nodoc>,
+               python-rdflib-doc <!nodoc>,
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib (>> 6) <!nocheck>,
                python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
@@ -36,6 +38,7 @@
                python3-pydot <!nocheck> <!nodoc>,
                python3-argcomplete <!nocheck> <!nodoc>,
                python3-spython <!nocheck> <!nodoc>,
+               python3-rich-argparse <!nocheck> <!nodoc>,
                nodejs <!nocheck>,
                jq <!nocheck>,
                help2man
@@ -53,7 +56,6 @@
          python3-arcp,
          python3-argcomplete,
          python3-cwl-utils,
-         python3-setuptools
 Recommends: nodejs
 Suggests: podman | docker.io | singularity-container, cwltool-doc
 Breaks: toil (<< 5.12.0)
@@ -75,6 +77,7 @@
 
 Package: cwltool-doc
 Architecture: all
+Section: doc
 Multi-Arch: foreign
 Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,16 @@
 
 DH_VERBOSE := 1
 include /usr/share/dpkg/default.mk
-export PYBUILD_NAME=cwltool
+export PYBUILD_DESTDIR=$(CURDIR)/debian/cwltool
 export PYBUILD_TEST_ARGS=-n=auto
 export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/tmp/ {build_dir}/main.cwl {build_dir}/output.txt*
 export HOME=$(shell echo $$PWD"/fakehome")
 
 %:
 	dh $@ --buildsystem=pybuild
+
+execute_after_dh_auto_build:
+	PYTHONPATH=$(CURDIR)/cwltool $(MAKE) docs
 
 debian/cwltool.1: debian/rules debian/cwltool.help2man
 	python3 setup.py develop --user
@@ -23,8 +26,7 @@
 override_dh_installman:
 endif
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find debian -name '*.cwl' -exec chmod a+x {} \;
 	find debian -name '*.json' -exec chmod a-x {} \;
